CURLOPT_KEYPASSWD(3)

NAME
CURLOPT_KEYPASSWD - set passphrase to private key

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_KEYPASSWD, char *pwd);

DESCRIPTION
Pass a pointer to a zero terminated string as parameter. It will be used as the password required to use the CURLOPT_SSLKEY(3) or CURLOPT_SSH_PRIVATE_KEYFILE(3) private key. You never needed a pass phrase to load a certificate but you need one to load your private key.

DEFAULT
NULL

PROTOCOLS
All TLS based protocols: HTTPS, FTPS, IMAPS, POP3, SMTPS etc.

EXAMPLE
TODO

AVAILABILITY
This option was known as CURLOPT_SSLKEYPASSWD up to 7.16.4 and CURLOPT_SSLCERTPASSWD up to 7.9.2.

RETURN VALUE
Returns CURLE_OK if TLS enabled, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_SSLKEY(3), CURLOPT_SSH_PRIVATE_KEYFILE(3),